Debian Bug report logs - #600707
bold fixed font changed in xterm 264-1

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Vincent Lefevre <vincent@vinc17.net>

Date: Tue, 19 Oct 2010 13:36:01 UTC

Severity: normal

Tags: fixed-upstream

Merged with 600402

Found in version xterm/264-1

Fixed in version xterm/266-1

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600707; Package xterm. (Tue, 19 Oct 2010 13:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 19 Oct 2010 13:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bold fixed font changed in xterm 264-1
Date: Tue, 19 Oct 2010 15:32:44 +0200
[Message part 1 (text/plain, inline)]
Package: xterm
Version: 264-1
Severity: normal

The bold fixed font changed in xterm 264-1 (see attached snapshots).
On some characters the old one was more readable.

I've attached the output of "appres XTerm".

Note: the bold text has been obtained with "tput bold".

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1 (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages xterm depends on:
ii  libc6                     2.11.2-6       Embedded GNU C Library: Shared lib
ii  libfontconfig1            2.8.0-2.1      generic font configuration library
ii  libice6                   2:1.0.6-1      X11 Inter-Client Exchange library
ii  libncurses5               5.7+20100313-4 shared libraries for terminal hand
ii  libutempter0              1.1.5-3        A privileged helper for utmp/wtmp 
ii  libx11-6                  2:1.3.3-3      X11 client-side library
ii  libxaw7                   2:1.0.7-1      X11 Athena Widget library
ii  libxft2                   2.1.14-2       FreeType-based font drawing librar
ii  libxmu6                   2:1.0.5-2      X11 miscellaneous utility library
ii  libxt6                    1:1.0.7-1      X11 toolkit intrinsics library
ii  xbitmaps                  1.1.0-1        Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.5+4      X11 utilities

Versions of packages xterm suggests:
pn  xfonts-cyrillic               <none>     (no description available)

-- no debconf information
[xterm-bold-261.png (image/png, attachment)]
[xterm-bold-264.png (image/png, attachment)]
[appres.out (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600707; Package xterm. (Fri, 22 Oct 2010 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 22 Oct 2010 09:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 600707@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 600129@bugs.debian.org, 600707@bugs.debian.org, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#600129: fixed in xterm 264-1
Date: Fri, 22 Oct 2010 05:21:37 -0400 (EDT)
On Fri, 22 Oct 2010, Vincent Lefevre wrote:

> On 2010-10-21 19:18:38 -0400, Thomas Dickey wrote:
>> On Tue, Oct 19, 2010 at 03:14:18PM +0200, Vincent Lefevre wrote:
>>> On 2010-10-14 23:28:16 +0000, Cyril Brulebois wrote:
>>>> Changes:
>>>>  xterm (264-1) unstable; urgency=low
>>>>  .
>>>>    * New upstream release:
>>>>      + Fix active-icon in specific cases (Closes: #591265).
>>>>      + Fix pointer visibility issues (Closes: #594856).
>>>>      + Fix segmentation fault with -fb and other options (Closes: #600129).
>>>
>>> This is inaccurate. The fix has also changed the bold font here
>>> (i.e. it looks different).
>>
>> I checked the updated program with valgrind, see no problems.
>> Your comment states two things:
>>
>> 	a) you're seeing either a core dump or other reproducible issue.
>> 	b) the resulting font differs.
>>
>> However, there's no details given beyond the bare statement.
>
> I've reported bug 600707 about the bold font change:
>
>  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=600707

thanks - my debug trace comparing with #262 showed that I missed at least 
one place in adjusting pointer-checks on the resource strings (needed 
since they're "always" nonnull now).

There's an updated patch in ftp://invisible-island.net/temp/
(this bug modifies fontutils.c).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Mon, 25 Oct 2010 08:39:09 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Wed, 27 Oct 2010 12:51:05 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Wed, 27 Oct 2010 12:51:05 GMT) Full text and rfc822 format available.

Message #17 received at 600707-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 600707-close@bugs.debian.org
Subject: Bug#600707: fixed in xterm 266-1
Date: Wed, 27 Oct 2010 12:47:08 +0000
Source: xterm
Source-Version: 266-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_266-1.diff.gz
  to main/x/xterm/xterm_266-1.diff.gz
xterm_266-1.dsc
  to main/x/xterm/xterm_266-1.dsc
xterm_266-1_amd64.deb
  to main/x/xterm/xterm_266-1_amd64.deb
xterm_266.orig.tar.gz
  to main/x/xterm/xterm_266.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 600707@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 27 Oct 2010 14:23:02 +0200
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 266-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 600707 601103
Changes: 
 xterm (266-1) unstable; urgency=low
 .
   * New upstream release (Closes: #601103, yay for patience…):
     + Fix a regression in fontname logic from patch #263, thanks to
       Vincent Lefevre (Closes: #600707).
   * Fix watch file: use PASV mode.
Checksums-Sha1: 
 83b9119c38f6cde3d68a58c2d1b825889bf1195d 1343 xterm_266-1.dsc
 ca475cec709891e8d9fe2fafba0a3bf3fd2d48f9 941510 xterm_266.orig.tar.gz
 f4796b0cb7acab7613dda9e50b1e67d2fbf33428 80614 xterm_266-1.diff.gz
 36e5ccf99bf8b9929c87a5dcaf7f8894972f7b15 557266 xterm_266-1_amd64.deb
Checksums-Sha256: 
 f9459b3ad717ce2378cdd0f59d78ec4822d873945f04bc900520c9a9115321aa 1343 xterm_266-1.dsc
 41945aabb96e827c3ca1fdbb3c2fab3a65f4a84d4da0ceb06b030e6a028cf739 941510 xterm_266.orig.tar.gz
 dba07dcfcfab8824661feb1cba6bfca83282509ed4eadd14bcb93bda50f1f8e2 80614 xterm_266-1.diff.gz
 d702f4e327e25e007184df5a867ae16cfd92a8ab05e4aa1f459856694c99897a 557266 xterm_266-1_amd64.deb
Files: 
 55365e6aa993d8cd81ae9d20de0f5105 1343 x11 optional xterm_266-1.dsc
 bb53ddd4933736a50e6391cef3472c12 941510 x11 optional xterm_266.orig.tar.gz
 e6cd0f1d2fbb45cbae5389c854abb9be 80614 x11 optional xterm_266-1.diff.gz
 c7b41a0e4d511039d273255faee71426 557266 x11 optional xterm_266-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzIHqcACgkQeGfVPHR5Nd2FawCgkHE2sLJbnTPdAziXYM/rdedp
PTkAn11ENvyF0k7tKz+OV0Opx/CQWifk
=I5pb
-----END PGP SIGNATURE-----





Forcibly Merged 600402 600707. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 30 Oct 2010 17:54:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 29 Nov 2010 07:28:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:26:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.